Discussion:
SDI 7.2 Crashes Running Under Linux
(too old to reply)
h***@gmail.com
2016-12-27 20:04:00 UTC
Permalink
Raw Message
Hello,

I installed 7.2 and tried to build the tutorial project but SDI continuously crashes, as various stages. I am running RH Linux 6.8, and have SDI FP3 installed. The crash happened prior to and after installing the FP. I don't get an error message per se, I get a msg from Miadmin and from what I can tell, it is always the same, except for the exitdata value:

JVM terminated. Exit code=1
/home/abartz/TDI/V7.2/jvm/jre/bin/javaw
-Dcom.ibm.di.loader.IDILoader.path=/home/abartz/TDI/V7.2
-jar /home/abartz/TDI/V7.2/ce/eclipsece/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /home/abartz/TDI/V7.2/ce/eclipsece/miadmin
-name Miadmin
--launcher.library /home/abartz/TDI/V7.2/ce/eclipsece/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120913-144807/eclipse_1502.so
-startup /home/abartz/TDI/V7.2/ce/eclipsece/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
--launcher.overrideVmargs
-exitdata 38002e
-vm /home/abartz/TDI/V7.2/jvm/jre/bin/javaw
-vmargs
-Dcom.ibm.di.loader.IDILoader.path=/home/abartz/TDI/V7.2
-jar /home/abartz/TDI/V7.2/ce/eclipsece/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar

I have also seen exitdata 2ca802e.

Any help is greatly appreciated, thank you.

Happy Holidays,
Andy Bartz
Jason Williams
2016-12-28 18:08:09 UTC
Permalink
Raw Message
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
h***@gmail.com
2016-12-29 22:29:57 UTC
Permalink
Raw Message
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!

ANdy
Eddie Hartman
2016-12-30 10:05:19 UTC
Permalink
Raw Message
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
TDI/SDI has the best support team in the biz :D
Kanon Yingwanna
2017-02-15 17:23:45 UTC
Permalink
Raw Message
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
Hi Andy, I've got exactly the same error as you've got, but adding parameter -Dorg.eclipse...=false to ibmditk doesn't help for my case. Could you please advise, have you done any step more over?

Thank you
Kanon Yingwanna
2017-02-15 17:24:39 UTC
Permalink
Raw Message
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
Hi Andy, I've got exactly the same error as you've got (https://goo.gl/ngTIh8) , but adding parameter -Dorg.eclipse...=false to ibmditk doesn't help for my case. Could you please advise, have you done any step more over?
Jason Williams
2017-02-16 19:24:12 UTC
Permalink
Raw Message
Post by Kanon Yingwanna
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
Hi Andy, I've got exactly the same error as you've got (https://goo.gl/ngTIh8) , but adding parameter -Dorg.eclipse...=false to ibmditk doesn't help for my case. Could you please advise, have you done any step more over?
Kanon,
which fixpack of SDI 7.2 are you using?
where in the ibmditk did you add the property?
Kanon Yingwanna
2017-02-17 04:02:10 UTC
Permalink
Raw Message
Post by Jason Williams
Post by Kanon Yingwanna
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
Hi Andy, I've got exactly the same error as you've got (https://goo.gl/ngTIh8) , but adding parameter -Dorg.eclipse...=false to ibmditk doesn't help for my case. Could you please advise, have you done any step more over?
Kanon,
which fixpack of SDI 7.2 are you using?
where in the ibmditk did you add the property?
Jason,
It's the latest one SDI 7.2-FP0003 not apply java vulnerability yet.
running on SUSE Linux Enterprise Server 11 (x86_64)
as below snapshot

https://goo.gl/CCX14H
Kanon Yingwanna
2017-02-17 05:15:19 UTC
Permalink
Raw Message
Post by Kanon Yingwanna
Post by Jason Williams
Post by Kanon Yingwanna
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
Hi Andy, I've got exactly the same error as you've got (https://goo.gl/ngTIh8) , but adding parameter -Dorg.eclipse...=false to ibmditk doesn't help for my case. Could you please advise, have you done any step more over?
Kanon,
which fixpack of SDI 7.2 are you using?
where in the ibmditk did you add the property?
Jason,
It's the latest one SDI 7.2-FP0003 not apply java vulnerability yet.
running on SUSE Linux Enterprise Server 11 (x86_64)
as below snapshot
https://goo.gl/CCX14H
I added the parameter to my last line of ibmditk as this snapshot (https://goo.gl/Tzcym9)
Jason Williams
2017-02-17 19:30:47 UTC
Permalink
Raw Message
Post by Kanon Yingwanna
Post by Kanon Yingwanna
Post by Jason Williams
Post by Kanon Yingwanna
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
Hi Andy, I've got exactly the same error as you've got (https://goo.gl/ngTIh8) , but adding parameter -Dorg.eclipse...=false to ibmditk doesn't help for my case. Could you please advise, have you done any step more over?
Kanon,
which fixpack of SDI 7.2 are you using?
where in the ibmditk did you add the property?
Jason,
It's the latest one SDI 7.2-FP0003 not apply java vulnerability yet.
running on SUSE Linux Enterprise Server 11 (x86_64)
as below snapshot
https://goo.gl/CCX14H
I added the parameter to my last line of ibmditk as this snapshot (https://goo.gl/Tzcym9)
I'm not able to see any of your goo.gl links
Kanon Yingwanna
2017-02-18 04:00:28 UTC
Permalink
Raw Message
Post by Jason Williams
Post by Kanon Yingwanna
Post by Kanon Yingwanna
Post by Jason Williams
Post by Kanon Yingwanna
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
Hi Andy, I've got exactly the same error as you've got (https://goo.gl/ngTIh8) , but adding parameter -Dorg.eclipse...=false to ibmditk doesn't help for my case. Could you please advise, have you done any step more over?
Kanon,
which fixpack of SDI 7.2 are you using?
where in the ibmditk did you add the property?
Jason,
It's the latest one SDI 7.2-FP0003 not apply java vulnerability yet.
running on SUSE Linux Enterprise Server 11 (x86_64)
as below snapshot
https://goo.gl/CCX14H
I added the parameter to my last line of ibmditk as this snapshot (https://goo.gl/Tzcym9)
I'm not able to see any of your goo.gl links
Here is the last line of my ibmditk.

"$TDI_HOME_DIR/ce/eclipsece/miadmin" "$@" $nosplash -vm "$TDI_JAVAW_PROGRAM" -vmargs -Dorg.eclipse.swt.internal.gtk.cairoGraphics=false -Dcom.ibm.di.loader.IDILoader.path="$TDI_HOME_DIR"
Kanon Yingwanna
2017-02-18 04:08:15 UTC
Permalink
Raw Message
Post by Kanon Yingwanna
Post by Jason Williams
Post by Kanon Yingwanna
Post by Kanon Yingwanna
Post by Jason Williams
Post by Kanon Yingwanna
Post by h***@gmail.com
Post by Jason Williams
Try this tech note
http://www-01.ibm.com/support/docview.wss?uid=swg21694334
Yes, that does seem to have done the trick - many thanks!!!!
ANdy
Hi Andy, I've got exactly the same error as you've got (https://goo.gl/ngTIh8) , but adding parameter -Dorg.eclipse...=false to ibmditk doesn't help for my case. Could you please advise, have you done any step more over?
Kanon,
which fixpack of SDI 7.2 are you using?
where in the ibmditk did you add the property?
Jason,
It's the latest one SDI 7.2-FP0003 not apply java vulnerability yet.
running on SUSE Linux Enterprise Server 11 (x86_64)
as below snapshot
https://goo.gl/CCX14H
I added the parameter to my last line of ibmditk as this snapshot (https://goo.gl/Tzcym9)
I'm not able to see any of your goo.gl links
Here is the last line of my ibmditk.
Also from this below error message I can see that the newly parameter has been included to the command

Security Directdry-integratoi-: Fatal 10 error 11 (Resource temporarily unavailable) on X server localhost:11.0. Miadmin:
JVM terminated. Exit code=1
/opt/IBM/TOI/V7.2/jvm/jre/bin/javaw
-Dorg.eclipse.swt.internal.gtk.cairoGraphics=false
-Ocom.ibm.di.loader.IDILoader.path=/opt/IBM/TOI/V7.2
-jar /opt/IBM/TOI/V7.2/ce/eclipsece/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
-os linux
-ws gtk
-arch x86_64
-showspl ash
-launcher /opt/IBM/TOI/V7.2/ce/eclipsece/miadmin
-name Miadmin
--launcher.library /opt/IBM/TOI/V7.2/ce/eclipsece/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.v20120913-144807/eclipse_1502.so
-startup /opt/IBM/TOI/V7.2/ce/eclipsece/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
--launcher.overrideVMargs
-exitdata 171a003d
-vm /opt/IBM/TOI/V7.2/jvm/jre/bin/javaw
-vmargs
-Dorg.eclipse.swt.internal.gtk.cairoGraphics=false
-Ocom.ibm.di.loader.IDILoader.path=/opt/IBM/TOI/V7.2
-jar /opt/IBM/TOI/V7.2/ce/eclipsece/plugins/org.eclipse.equinox.launcher_1.3.0.v20120522-1813.jar
l***@gmail.com
2016-12-29 09:42:28 UTC
Permalink
Raw Message
I agree with Jason. The Technote should solve!
Loading...